Index: AceGUI-3.0/AceGUI-3.0.lua
===================================================================
--- AceGUI-3.0/AceGUI-3.0.lua	(revision 2)
+++ AceGUI-3.0/AceGUI-3.0.lua	(working copy)
@@ -2,6 +2,7 @@
 -- AceGUI is used by AceConfigDialog to create the option GUIs, but you can use it by itself
 -- to create any custom GUI. There are more extensive examples in the test suite in the Ace3 
 -- stand-alone distribution.
+-- Mod by Kaliel
 --
 -- **Note**: When using AceGUI-3.0 directly, please do not modify the frames of the widgets directly,
 -- as any "unknown" change to the widgets will cause addons that get your widget out of the widget pool
@@ -25,7 +26,7 @@
 -- @class file
 -- @name AceGUI-3.0
 -- @release $Id: AceGUI-3.0.lua 1102 2013-10-25 14:15:23Z nevcairiel $
-local ACEGUI_MAJOR, ACEGUI_MINOR = "AceGUI-3.0", 34
+local ACEGUI_MAJOR, ACEGUI_MINOR = "AceGUI-3.0", 100	-- MSA (34)
 local AceGUI, oldminor = LibStub:NewLibrary(ACEGUI_MAJOR, ACEGUI_MINOR)
 
 if not AceGUI then return end -- No upgrade needed
@@ -62,6 +63,8 @@
 ]]
 local xpcall = xpcall
 
+local leftMargin = 16	-- MSA
+
 local function errorhandler(err)
 	return geterrorhandler()(err)
 end
@@ -744,8 +747,8 @@
 						break
 					end
 					--anchor the previous row, we will now know its height and offset
-					rowstart:SetPoint("TOPLEFT", content, "TOPLEFT", 0, -(height + (rowoffset - rowstartoffset) + 3))
-					height = height + rowheight + 3
+					rowstart:SetPoint("TOPLEFT", content, "TOPLEFT", 0, -(height + (rowoffset - rowstartoffset) + 2))	-- MSA
+					height = height + rowheight + 6	-- MSA
 					--save this as the rowstart so we can anchor it after the row is complete and we have the max height and offset of controls in it
 					rowstart = frame
 					rowstartoffset = frameoffset
@@ -764,11 +767,20 @@
 					rowoffset = math_max(rowoffset, frameoffset)
 					rowheight = math_max(rowheight, rowoffset + (frameheight / 2))
 					
-					frame:SetPoint("TOPLEFT", children[i-1].frame, "TOPRIGHT", 0, frameoffset - lastframeoffset)
-					usedwidth = framewidth + usedwidth
+					frame:SetPoint("TOPLEFT", children[i-1].frame, "TOPRIGHT", leftMargin, frameoffset - lastframeoffset)	-- MSA
+					usedwidth = framewidth + usedwidth + leftMargin	-- MSA
 				end
 			end
 
+			-- MSA
+			if framewidth == 2*170 then	-- double
+				safelayoutcall(child, "SetWidth", framewidth + leftMargin)
+				usedwidth = usedwidth + leftMargin
+			elseif framewidth == 170/2 then	-- half
+				safelayoutcall(child, "SetWidth", framewidth - (leftMargin / 2))
+				usedwidth = usedwidth - (leftMargin / 2)
+			end
+
 			if child.width == "fill" then
 				safelayoutcall(child, "SetWidth", width)
 				frame:SetPoint("RIGHT", content)
Index: AceGUI-3.0/widgets/AceGUIContainer-InlineGroup.lua
===================================================================
--- AceGUI-3.0/widgets/AceGUIContainer-InlineGroup.lua	(revision 2)
+++ AceGUI-3.0/widgets/AceGUIContainer-InlineGroup.lua	(working copy)
@@ -2,7 +2,7 @@
 InlineGroup Container
 Simple container widget that creates a visible "box" with an optional title.
 -------------------------------------------------------------------------------]]
-local Type, Version = "InlineGroup", 21
+local Type, Version = "InlineGroup", 100	-- MSA
 local AceGUI = LibStub and LibStub("AceGUI-3.0", true)
 if not AceGUI or (AceGUI:GetWidgetVersion(Type) or 0) >= Version then return end
 
@@ -31,7 +31,7 @@
 
 	["LayoutFinished"] = function(self, width, height)
 		if self.noAutoHeight then return end
-		self:SetHeight((height or 0) + 40)
+		self:SetHeight((height or 0) + 42)	-- MSA
 	end,
 
 	["OnWidthSet"] = function(self, width)
Index: AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua
===================================================================
--- AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua	(revision 2)
+++ AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua	(working copy)
@@ -1,7 +1,8 @@
 --[[-----------------------------------------------------------------------------
 ColorPicker Widget
+Mod by Kaliel
 -------------------------------------------------------------------------------]]
-local Type, Version = "ColorPicker", 23
+local Type, Version = "ColorPicker", 100	-- MSA
 local AceGUI = LibStub and LibStub("AceGUI-3.0", true)
 if not AceGUI or (AceGUI:GetWidgetVersion(Type) or 0) >= Version then return end
 
@@ -143,7 +144,7 @@
 	colorSwatch:SetWidth(19)
 	colorSwatch:SetHeight(19)
 	colorSwatch:SetTexture("Interface\\ChatFrame\\ChatFrameColorSwatch")
-	colorSwatch:SetPoint("LEFT")
+	colorSwatch:SetPoint("LEFT", 4, 0)	-- MSA
 
 	local texture = frame:CreateTexture(nil, "BACKGROUND")
 	texture:SetWidth(16)
Index: AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
===================================================================
--- AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua	(revision 2)
+++ AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua	(working copy)
@@ -1,3 +1,4 @@
+-- Mod by Kaliel
 --[[ $Id: AceGUIWidget-DropDown.lua 1116 2014-10-12 08:15:46Z nevcairiel $ ]]--
 local AceGUI = LibStub("AceGUI-3.0")
 
@@ -356,7 +357,7 @@
 
 do
 	local widgetType = "Dropdown"
-	local widgetVersion = 30
+	local widgetVersion = 100	-- MSA
 	
 	--[[ Static data ]]--
 	
@@ -696,7 +697,7 @@
 		
 		middle:SetPoint("LEFT", left, "RIGHT", 0, 0)
 		middle:SetPoint("RIGHT", right, "LEFT", 0, 0)
-		right:SetPoint("TOPRIGHT", dropdown, "TOPRIGHT", 0, 17)
+		right:SetPoint("TOPRIGHT", dropdown, "TOPRIGHT", -3, 17)	-- MSA
 
 		local button = _G[dropdown:GetName() .. "Button"]
 		self.button = button
@@ -722,8 +723,8 @@
 		text:SetPoint("LEFT", left, "LEFT", 25, 2)
 		
 		local label = frame:CreateFontString(nil,"OVERLAY","GameFontNormalSmall")
-		label:SetPoint("TOPLEFT",frame,"TOPLEFT",0,0)
-		label:SetPoint("TOPRIGHT",frame,"TOPRIGHT",0,0)
+		label:SetPoint("TOPLEFT",frame,"TOPLEFT",6,0)	-- MSA
+		label:SetPoint("TOPRIGHT",frame,"TOPRIGHT",-2,0)	-- MSA
 		label:SetJustifyH("LEFT")
 		label:SetHeight(18)
 		label:Hide()
Index: AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
===================================================================
--- AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua	(revision 2)
+++ AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua	(working copy)
@@ -1,7 +1,8 @@
 --[[-----------------------------------------------------------------------------
 EditBox Widget
+Mod by Kaliel
 -------------------------------------------------------------------------------]]
-local Type, Version = "EditBox", 26
+local Type, Version = "EditBox", 100	-- MSA
 local AceGUI = LibStub and LibStub("AceGUI-3.0", true)
 if not AceGUI or (AceGUI:GetWidgetVersion(Type) or 0) >= Version then return end
 
@@ -229,12 +230,12 @@
 	editbox:SetTextInsets(0, 0, 3, 3)
 	editbox:SetMaxLetters(256)
 	editbox:SetPoint("BOTTOMLEFT", 6, 0)
-	editbox:SetPoint("BOTTOMRIGHT")
+	editbox:SetPoint("BOTTOMRIGHT", -3, 0)	-- MSA
 	editbox:SetHeight(19)
 
 	local label = frame:CreateFontString(nil, "OVERLAY", "GameFontNormalSmall")
-	label:SetPoint("TOPLEFT", 0, -2)
-	label:SetPoint("TOPRIGHT", 0, -2)
+	label:SetPoint("TOPLEFT", 5, -4)	-- MSA
+	label:SetPoint("TOPRIGHT", -2, -4)	-- MSA
 	label:SetJustifyH("LEFT")
 	label:SetHeight(18)
 
@@ -241,7 +242,7 @@
 	local button = CreateFrame("Button", nil, editbox, "UIPanelButtonTemplate")
 	button:SetWidth(40)
 	button:SetHeight(20)
-	button:SetPoint("RIGHT", -2, 0)
+	button:SetPoint("RIGHT")	-- MSA
 	button:SetText(OKAY)
 	button:SetScript("OnClick", Button_OnClick)
 	button:Hide()
Index: AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
===================================================================
--- AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua	(revision 2)
+++ AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua	(working copy)
@@ -1,8 +1,9 @@
 --[[-----------------------------------------------------------------------------
 Keybinding Widget
 Set Keybindings in the Config UI.
+Mod by Kaliel
 -------------------------------------------------------------------------------]]
-local Type, Version = "Keybinding", 25
+local Type, Version = "Keybinding", 100	-- MSA
 local AceGUI = LibStub and LibStub("AceGUI-3.0", true)
 if not AceGUI or (AceGUI:GetWidgetVersion(Type) or 0) >= Version then return end
 
@@ -225,7 +226,7 @@
 	local msg = msgframe:CreateFontString(nil, "OVERLAY", "GameFontNormal")
 	msg:SetText("Press a key to bind, ESC to clear the binding or click the button again to cancel.")
 	msgframe.msg = msg
-	msg:SetPoint("TOPLEFT", 5, -5)
+	msg:SetPoint("TOP", 1, -8)	-- MSA
 	msgframe:SetScript("OnUpdate", keybindingMsgFixWidth)
 	msgframe:SetPoint("BOTTOM", button, "TOP")
 	msgframe:Hide()
Index: AceGUI-3.0/widgets/AceGUIWidget-Label.lua
===================================================================
--- AceGUI-3.0/widgets/AceGUIWidget-Label.lua	(revision 2)
+++ AceGUI-3.0/widgets/AceGUIWidget-Label.lua	(working copy)
@@ -1,8 +1,9 @@
 --[[-----------------------------------------------------------------------------
 Label Widget
 Displays text and optionally an icon.
+Mod by Kaliel
 -------------------------------------------------------------------------------]]
-local Type, Version = "Label", 23
+local Type, Version = "Label", 100	-- MSA
 local AceGUI = LibStub and LibStub("AceGUI-3.0", true)
 if not AceGUI or (AceGUI:GetWidgetVersion(Type) or 0) >= Version then return end
 
@@ -39,6 +40,7 @@
 			label:SetPoint("TOP", image, "BOTTOM")
 			label:SetPoint("LEFT")
 			label:SetWidth(width)
+			label:SetJustifyH("CENTER")	-- MSA
 			height = image:GetHeight() + label:GetHeight()
 		else
 			-- image on the left
@@ -49,6 +51,7 @@
 				label:SetPoint("TOPLEFT", image, "TOPRIGHT", 4, 0)
 			end
 			label:SetWidth(width - imagewidth - 4)
+			label:SetJustifyH("LEFT")	-- MSA
 			height = max(image:GetHeight(), label:GetHeight())
 		end
 	else
@@ -55,6 +58,7 @@
 		-- no image shown
 		label:SetPoint("TOPLEFT")
 		label:SetWidth(width)
+		label:SetJustifyH("LEFT")	-- MSA
 		height = label:GetHeight()
 	end
 	
